Skip to main content
In addition to voice calls, MarIA handles inbound WhatsApp conversations. The patient messages the center’s number and the agent responds, manages appointments, and resolves frequent queries the same way it would over the phone.

Capabilities via WhatsApp

Outbound notifications

MarIA can also proactively send messages to patients via WhatsApp:
  • Appointment confirmation: immediately after scheduling (by phone or WhatsApp).
  • Appointment reminder: 24 to 48 hours before the appointment to reduce no shows.
Both notifications are sent using Meta approved templates. Contact support@omniloy.com to set up or add templates.

Inbound conversation flow

WhatsApp APIs

Appointment management through WhatsApp uses MarIA shared API contracts. See APIs: Webhook events and APIs: EHR integrations for applicable events and contracts.

FAQ knowledge base

Frequent questions are answered using documents indexed at POST /faq/documents. The same knowledge corpus is used for both voice calls and WhatsApp conversations. Keep documents up to date with information about centers, coverage, schedules, and specialties.

HMAC signatures on webhooks

MarIA webhooks are signed with HMAC-SHA256. Header X-Integration-Signature: sha256=<hex> computed over the RAW body. See HMAC Signature Verification.